import * as $dara from '@darabonba/typescript';
import { LeaveSecurityGroupResponseBody } from "./LeaveSecurityGroupResponseBody";
export declare class LeaveSecurityGroupResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: LeaveSecurityGroupResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
